summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArd Biesheuvel <ard.biesheuvel@linaro.org>2015-04-22 14:44:56 +0200
committerArd Biesheuvel <ard.biesheuvel@linaro.org>2015-04-22 14:44:56 +0200
commitcb2776d9d7ddfd282c0ed8a0d51647822abaca81 (patch)
tree3e60b57446355f49793d99bf3cd84872516a2258
parent54a5a593bb1e0ee96b5774ebb051875dde4cfee8 (diff)
Use caller supplied Xen EFI binary via EDK2_BIN
Signed-off-by: Ard Biesheuvel <ard.biesheuvel@linaro.org>
-rwxr-xr-xlava/scripts/test-guest.sh4
-rw-r--r--lava/xentest.yaml5
2 files changed, 7 insertions, 2 deletions
diff --git a/lava/scripts/test-guest.sh b/lava/scripts/test-guest.sh
index 2860d8f..e71bee9 100755
--- a/lava/scripts/test-guest.sh
+++ b/lava/scripts/test-guest.sh
@@ -35,6 +35,8 @@ if ! check_root; then
error_msg "Please run the test case as root"
fi
+[ "$1" ] || error_msg "Missing UEFI image URL"
+
ROOTFS_BUILD_SUITE="utopic"
case `uname -m` in
@@ -52,7 +54,7 @@ case `uname -m` in
ROOTFS_BUILD_TIMESTAMP=`wget -q --no-check-certificate -O - https://ci.linaro.org/jenkins/job/ubuntu-arm64-rootfs/label=build,rootfs=nano/lastSuccessfulBuild/buildTimestamp?format=yyyyMMdd`
ROOTFS_BUILD_FILENAME="linaro-${ROOTFS_BUILD_SUITE}-nano-${ROOTFS_BUILD_TIMESTAMP}-${ROOTFS_BUILD_NUMBER}.tar"
ROOTFS_BUILD_URL="http://snapshots.linaro.org/ubuntu/images/nano-arm64/${ROOTFS_BUILD_NUMBER}/${ROOTFS_BUILD_FILENAME}.gz"
- wget -q --no-check-certificate https://snapshots.linaro.org/components/kernel/linaro-edk2-prep/70/release/xen64/XEN_EFI.fd
+ wget -q --no-check-certificate "$1"
wget -q --no-check-certificate https://snapshots.linaro.org/ubuntu/images/xen/634/Image-xen-mustang
#mv Image-xen-mustang zImage
;;
diff --git a/lava/xentest.yaml b/lava/xentest.yaml
index 2f3f4d3..29fff8b 100644
--- a/lava/xentest.yaml
+++ b/lava/xentest.yaml
@@ -10,6 +10,9 @@ metadata:
- arndale
environment:
- lava-test-shell
+params:
+ EDK2_BIN: ""
+
install:
deps:
- libyajl2
@@ -25,7 +28,7 @@ install:
run:
steps:
- "./lava/scripts/initialize-xen-tools.sh"
- - "./lava/scripts/test-guest.sh || echo \"test_guest: FAIL - return status $?\""
+ - "./lava/scripts/test-guest.sh ${EDK2_BIN} || echo \"test_guest: FAIL - return status $?\""
- "lava-test-run-attach /var/log/xen/console/guest-guest1-efi.log text/plain"
parse: